Page MenuHomePhabricator

The globe in WikiEditor disappears when loading is finished
Closed, ResolvedPublic

Description

svwiki user Slånbär reports at https://sv.wikipedia.org/wiki/Wikipedia:Wikipediafr%C3%A5gor#Redigeringsverktygsraden that the globe in WikiEditor is no longer present. When loading a page in wikitext editing mode, I can see the globe flash for a split second before it disappears.

Event Timeline

Nirmos created this task.Jun 2 2017, 5:17 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2017, 5:17 AM
TheDJ added a subscriber: TheDJ.EditedJun 2 2017, 7:05 PM

This is due to T163793. Apparently after changes in that ticket, Disabling dialogs (as this user apparently had set before) is no longer an option. Non-dialogs mode required 2 buttons for links (external and internal links). The dialog version of the button combines both of those into one.

TheDJ closed this task as Resolved.Nov 13 2018, 5:24 PM
TheDJ claimed this task.

We no longer have the mode without dialogs since MW 1.31 T165112: Kill of most/all the WikiEditor RL modules

happy5214 moved this task from Backlog to Closed on the WikiEditor board.Aug 4 2019, 11:35 AM